/*
 * Copyright (c) 2011-2017 The Linux Foundation. All rights reserved.
 *
 * Previously licensed under the ISC license by Qualcomm Atheros, Inc.
 *
 *
 * Permission to use, copy, modify, and/or distribute this software for
 * any purpose with or without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
 * AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * This file was originally distributed by Qualcomm Atheros, Inc.
 * under proprietary terms before Copyright ownership was assigned
 * to the Linux Foundation.
 */

#ifndef __WNICFG_H
#define __WNICFG_H

/*
 * Configuration Parameter ID for STA
 */

enum {
	WNI_CFG_STA_ID,
	WNI_CFG_CFP_PERIOD,
	WNI_CFG_CFP_MAX_DURATION,
	WNI_CFG_SSID,
	WNI_CFG_BEACON_INTERVAL,
	WNI_CFG_DTIM_PERIOD,
	WNI_CFG_WEP_KEY_LENGTH,
	WNI_CFG_WEP_DEFAULT_KEY_1,
	WNI_CFG_WEP_DEFAULT_KEY_2,
	WNI_CFG_WEP_DEFAULT_KEY_3,
	WNI_CFG_WEP_DEFAULT_KEY_4,
	WNI_CFG_WEP_DEFAULT_KEYID,
	WNI_CFG_EXCLUDE_UNENCRYPTED,
	WNI_CFG_RTS_THRESHOLD,
	WNI_CFG_SHORT_RETRY_LIMIT,
	WNI_CFG_LONG_RETRY_LIMIT,
	WNI_CFG_FRAGMENTATION_THRESHOLD,
	WNI_CFG_ACTIVE_MINIMUM_CHANNEL_TIME,
	WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME,
	WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME,
	WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME,
	WNI_CFG_JOIN_FAILURE_TIMEOUT,
	WNI_CFG_AUTHENTICATE_FAILURE_TIMEOUT,
	WNI_CFG_AUTHENTICATE_RSP_TIMEOUT,
	WNI_CFG_ASSOCIATION_FAILURE_TIMEOUT,
	WNI_CFG_REASSOCIATION_FAILURE_TIMEOUT,
	WNI_CFG_PS_ENABLE_BCN_FILTER,
	WNI_CFG_PS_ENABLE_HEART_BEAT,
	WNI_CFG_PS_ENABLE_RSSI_MONITOR,
	WNI_CFG_PS_DATA_INACTIVITY_TIMEOUT,
	WNI_CFG_RF_SETTLING_TIME_CLK,
	WNI_CFG_SUPPORTED_RATES_11B,
	WNI_CFG_SUPPORTED_RATES_11A,
	WNI_CFG_PHY_MODE,
	WNI_CFG_DOT11_MODE,
	WNI_CFG_OPERATIONAL_RATE_SET,
	WNI_CFG_EXTENDED_OPERATIONAL_RATE_SET,
	WNI_CFG_PROPRIETARY_OPERATIONAL_RATE_SET,
	WNI_CFG_LISTEN_INTERVAL,
	WNI_CFG_VALID_CHANNEL_LIST,
	WNI_CFG_CURRENT_CHANNEL,
	WNI_CFG_DEFAULT_RATE_INDEX_24GHZ,
	WNI_CFG_FIXED_RATE,
	WNI_CFG_APSD_ENABLED,
	WNI_CFG_SHARED_KEY_AUTH_ENABLE,
	WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE,
	WNI_CFG_AUTHENTICATION_TYPE,
	WNI_CFG_PRIVACY_ENABLED,
	WNI_CFG_SHORT_PREAMBLE,
	WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY,
	WNI_CFG_QOS_ENABLED,
	WNI_CFG_HCF_ENABLED,
	WNI_CFG_RSN_ENABLED,
	WNI_CFG_MAX_NUM_PRE_AUTH,
	WNI_CFG_HEART_BEAT_THRESHOLD,
	WNI_CFG_PROBE_AFTER_HB_FAIL_TIMEOUT,
	WNI_CFG_MANUFACTURER_NAME,
	WNI_CFG_MODEL_NUMBER,
	WNI_CFG_MODEL_NAME,
	WNI_CFG_MANUFACTURER_PRODUCT_NAME,
	WNI_CFG_MANUFACTURER_PRODUCT_VERSION,
	WNI_CFG_11D_ENABLED,
	WNI_CFG_MAX_TX_POWER_2_4,
	WNI_CFG_MAX_TX_POWER_5,
	WNI_CFG_CURRENT_TX_POWER_LEVEL,
	WNI_CFG_NEW_BSS_FOUND_IND,
	WNI_CFG_COUNTRY_CODE,
	WNI_CFG_11H_ENABLED,
	WNI_CFG_WT_CNF_TIMEOUT,
	WNI_CFG_LOG_LEVEL,
	WNI_CFG_OLBC_DETECT_TIMEOUT,
	WNI_CFG_PROTECTION_ENABLED,
	WNI_CFG_11G_PROTECTION_ALWAYS,
	WNI_CFG_FORCE_POLICY_PROTECTION,
	WNI_CFG_11G_SHORT_PREAMBLE_ENABLED,
	WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED,
	WNI_CFG_11G_ONLY_POLICY,
	WNI_CFG_WME_ENABLED,
	WNI_CFG_ADDTS_RSP_TIMEOUT,
	WNI_CFG_MAX_SP_LENGTH,
	WNI_CFG_WSM_ENABLED,
	WNI_CFG_EDCA_PROFILE,
	WNI_CFG_EDCA_ANI_ACBK_LOCAL,
	WNI_CFG_EDCA_ANI_ACBE_LOCAL,
	WNI_CFG_EDCA_ANI_ACVI_LOCAL,
	WNI_CFG_EDCA_ANI_ACVO_LOCAL,
	WNI_CFG_EDCA_ANI_ACBK,
	WNI_CFG_EDCA_ANI_ACBE,
	WNI_CFG_EDCA_ANI_ACVI,
	WNI_CFG_EDCA_ANI_ACVO,
	WNI_CFG_EDCA_WME_ACBK_LOCAL,
	WNI_CFG_EDCA_WME_ACBE_LOCAL,
	WNI_CFG_EDCA_WME_ACVI_LOCAL,
	WNI_CFG_EDCA_WME_ACVO_LOCAL,
	WNI_CFG_EDCA_WME_ACBK,
	WNI_CFG_EDCA_WME_ACBE,
	WNI_CFG_EDCA_WME_ACVI,
	WNI_CFG_EDCA_WME_ACVO,
	WNI_CFG_LOCAL_POWER_CONSTRAINT,
	WNI_CFG_ADMIT_POLICY,
	WNI_CFG_ADMIT_BWFACTOR,
	WNI_CFG_CHANNEL_BONDING_MODE,
	WNI_CFG_DYNAMIC_THRESHOLD_ZERO,
	WNI_CFG_DYNAMIC_THRESHOLD_ONE,
	WNI_CFG_DYNAMIC_THRESHOLD_TWO,
	WNI_CFG_SCAN_CONTROL_LIST,
	WNI_CFG_BLOCK_ACK_ENABLED,
	WNI_CFG_HT_CAP_INFO,
	WNI_CFG_HT_AMPDU_PARAMS,
	WNI_CFG_SUPPORTED_MCS_SET,
	WNI_CFG_EXT_HT_CAP_INFO,
	WNI_CFG_TX_BF_CAP,
	WNI_CFG_AS_CAP,
	WNI_CFG_HT_INFO_FIELD1,
	WNI_CFG_HT_INFO_FIELD2,
	WNI_CFG_HT_INFO_FIELD3,
	WNI_CFG_BASIC_MCS_SET,
	WNI_CFG_CURRENT_MCS_SET,
	WNI_CFG_VHT_MAX_MPDU_LENGTH,
	WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET,
	WNI_CFG_VHT_LDPC_CODING_CAP,
	WNI_CFG_VHT_SHORT_GI_80MHZ,
	WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ,
	WNI_CFG_VHT_TXSTBC,
	WNI_CFG_VHT_RXSTBC,
	WNI_CFG_VHT_SU_BEAMFORMER_CAP,
	WNI_CFG_VHT_SU_BEAMFORMEE_CAP,
	WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED,
	WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS,
	WNI_CFG_VHT_MU_BEAMFORMER_CAP,
	WNI_CFG_VHT_MU_BEAMFORMEE_CAP,
	WNI_CFG_VHT_TXOP_PS,
	WNI_CFG_VHT_HTC_VHTC_CAP,
	WNI_CFG_VHT_AMPDU_LEN_EXPONENT,
	WNI_CFG_VHT_LINK_ADAPTATION_CAP,
	WNI_CFG_VHT_RX_ANT_PATTERN,
	WNI_CFG_VHT_TX_ANT_PATTERN,
	WNI_CFG_VHT_RX_MCS_MAP,
	WNI_CFG_VHT_TX_MCS_MAP,
	WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE,
	WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE,
	WNI_CFG_VHT_BASIC_MCS_SET,
	WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT,
	WNI_CFG_VHT_SS_UNDER_UTIL,
	WNI_CFG_VHT_40MHZ_UTILIZATION,
	WNI_CFG_VHT_80MHZ_UTILIZATION,
	WNI_CFG_VHT_160MHZ_UTILIZATION,
	WNI_CFG_MPDU_DENSITY,
	WNI_CFG_MAX_RX_AMPDU_FACTOR,
	WNI_CFG_MAX_PS_POLL,
	WNI_CFG_RSSI_FILTER_PERIOD,
	WNI_CFG_SCAN_IN_POWERSAVE,
	WNI_CFG_IGNORE_DTIM,
	WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE,
	WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE,
	WNI_CFG_WOWLAN_DEAUTH_ENABLE,
	WNI_CFG_WOWLAN_DISASSOC_ENABLE,
	WNI_CFG_WOWLAN_MAX_MISSED_BEACON,
	WNI_CFG_WOWLAN_MAX_SLEEP_PERIOD,
	WNI_CFG_MAX_MEDIUM_TIME,
	WNI_CFG_IBSS_AUTO_BSSID,
	WNI_CFG_PROBE_RSP_BCN_ADDNIE_FLAG,
	WNI_CFG_WPS_ENABLE,
	WNI_CFG_WPS_STATE,
	WNI_CFG_WPS_VERSION,
	WNI_CFG_WPS_CFG_METHOD,
	WNI_CFG_WPS_UUID,
	WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY,
	WNI_CFG_WPS_PIMARY_DEVICE_OUI,
	WNI_CFG_WPS_DEVICE_SUB_CATEGORY,
	WNI_CFG_WPS_DEVICE_PASSWORD_ID,
	WNI_CFG_LOW_GAIN_OVERRIDE,
	WNI_CFG_SINGLE_TID_RC,
	WNI_CFG_MCAST_BCAST_FILTER_SETTING,
	WNI_CFG_DYNAMIC_PS_POLL_VALUE,
	WNI_CFG_PS_NULLDATA_AP_RESP_TIMEOUT,
	WNI_CFG_TELE_BCN_WAKEUP_EN,
	WNI_CFG_TELE_BCN_TRANS_LI,
	WNI_CFG_TELE_BCN_TRANS_LI_IDLE_BCNS,
	WNI_CFG_TELE_BCN_MAX_LI,
	WNI_CFG_TELE_BCN_MAX_LI_IDLE_BCNS,
	WNI_CFG_INFRA_STA_KEEP_ALIVE_PERIOD,
	WNI_CFG_ASSOC_STA_LIMIT,
	WNI_CFG_AP_DATA_AVAIL_POLL_PERIOD,
	WNI_CFG_ENABLE_LTE_COEX,
	WNI_CFG_AP_KEEP_ALIVE_TIMEOUT,
	WNI_CFG_GO_KEEP_ALIVE_TIMEOUT,
	WNI_CFG_ENABLE_MC_ADDR_LIST,
	WNI_CFG_ENABLE_LPWR_IMG_TRANSITION,
	WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED,
	WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP,
	WNI_CFG_AP_LINK_MONITOR_TIMEOUT,
	WNI_CFG_TDLS_QOS_WMM_UAPSD_MASK,
	WNI_CFG_TDLS_BUF_STA_ENABLED,
	WNI_CFG_TDLS_PUAPSD_INACT_TIME,
	WNI_CFG_TDLS_RX_FRAME_THRESHOLD,
	WNI_CFG_PMF_SA_QUERY_MAX_RETRIES,
	WNI_CFG_PMF_SA_QUERY_RETRY_INTERVAL,
	WNI_CFG_ENABLE_ADAPT_RX_DRAIN,
	WNI_CFG_ANTENNA_DIVESITY,
	WNI_CFG_GO_LINK_MONITOR_TIMEOUT,
	WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY,
	WNI_CFG_CURRENT_RSSI,
	WNI_CFG_RTT3_ENABLE,
	WNI_CFG_DEBUG_P2P_REMAIN_ON_CHANNEL,
	WNI_CFG_TDLS_OFF_CHANNEL_ENABLED,
	WNI_CFG_IBSS_ATIM_WIN_SIZE,
	WNI_CFG_DFS_MASTER_ENABLED,
	WNI_CFG_VHT_ENABLE_TXBF_20MHZ,
	WNI_CFG_TDLS_WMM_MODE_ENABLED,
	WNI_CFG_OBSS_HT40_SCAN_PASSIVE_DWELL_TIME,
	WNI_CFG_OBSS_HT40_SCAN_ACTIVE_DWELL_TIME,
	WNI_CFG_OBSS_HT40_SCAN_WIDTH_TRIGGER_INTERVAL,
	WNI_CFG_OBSS_HT40_SCAN_PASSIVE_TOTAL_PER_CHANNEL,
	WNI_CFG_OBSS_HT40_SCAN_ACTIVE_TOTAL_PER_CHANNEL,
	WNI_CFG_OBSS_HT40_WIDTH_CH_TRANSITION_DELAY,
	WNI_CFG_OBSS_HT40_SCAN_ACTIVITY_THRESHOLD,
	WNI_CFG_TGT_GTX_USR_CFG,
	WNI_CFG_MAX_HT_MCS_TX_DATA,
	WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA,
	WNI_CFG_RATE_FOR_TX_MGMT,
	/* Any new items to be added should be above this strictly */
	CFG_PARAM_MAX_NUM
};
/*
 * String parameter lengths
 */

#define WNI_CFG_STA_ID_LEN    6
#define WNI_CFG_SSID_LEN    32
#define WNI_CFG_WEP_DEFAULT_KEY_1_LEN    13
#define WNI_CFG_WEP_DEFAULT_KEY_2_LEN    13
#define WNI_CFG_WEP_DEFAULT_KEY_3_LEN    13
#define WNI_CFG_WEP_DEFAULT_KEY_4_LEN    13
#define WNI_CFG_SUPPORTED_RATES_11B_LEN    4
#define WNI_CFG_SUPPORTED_RATES_11A_LEN    8
#define WNI_CFG_OPERATIONAL_RATE_SET_LEN    12
#define WNI_CFG_EXTENDED_OPERATIONAL_RATE_SET_LEN    8
#define WNI_CFG_PROPRIETARY_OPERATIONAL_RATE_SET_LEN    4
#define WNI_CFG_VALID_CHANNEL_LIST_LEN    100
#define WNI_CFG_MANUFACTURER_NAME_LEN    64
#define WNI_CFG_MODEL_NUMBER_LEN    32
#define WNI_CFG_MODEL_NAME_LEN    32
#define WNI_CFG_MANUFACTURER_PRODUCT_NAME_LEN    32
#define WNI_CFG_MANUFACTURER_PRODUCT_VERSION_LEN    32
#define WNI_CFG_MAX_TX_POWER_2_4_LEN    128
#define WNI_CFG_MAX_TX_POWER_5_LEN    128
#define WNI_CFG_COUNTRY_CODE_LEN    3
#define WNI_CFG_EDCA_ANI_ACBK_LOCAL_LEN    20
#define WNI_CFG_EDCA_ANI_ACBE_LOCAL_LEN    20
#define WNI_CFG_EDCA_ANI_ACVI_LOCAL_LEN    20
#define WNI_CFG_EDCA_ANI_ACVO_LOCAL_LEN    20
#define WNI_CFG_EDCA_ANI_ACBK_LEN    20
#define WNI_CFG_EDCA_ANI_ACBE_LEN    20
#define WNI_CFG_EDCA_ANI_ACVI_LEN    20
#define WNI_CFG_EDCA_ANI_ACVO_LEN    20
#define WNI_CFG_EDCA_WME_ACBK_LOCAL_LEN    20
#define WNI_CFG_EDCA_WME_ACBE_LOCAL_LEN    20
#define WNI_CFG_EDCA_WME_ACVI_LOCAL_LEN    20
#define WNI_CFG_EDCA_WME_ACVO_LOCAL_LEN    20
#define WNI_CFG_EDCA_WME_ACBK_LEN    20
#define WNI_CFG_EDCA_WME_ACBE_LEN    20
#define WNI_CFG_EDCA_WME_ACVI_LEN    20
#define WNI_CFG_EDCA_WME_ACVO_LEN    20
#define WNI_CFG_SCAN_CONTROL_LIST_LEN    128
#define WNI_CFG_SUPPORTED_MCS_SET_LEN    16
#define WNI_CFG_BASIC_MCS_SET_LEN    16
#define WNI_CFG_CURRENT_MCS_SET_LEN    16
#define WNI_CFG_PROBE_RSP_ADDNIE_DATA1_LEN    255
#define WNI_CFG_ASSOC_RSP_ADDNIE_DATA_LEN    255
#define WNI_CFG_PROBE_RSP_BCN_ADDNIE_DATA_LEN    255
#define WNI_CFG_WPS_UUID_LEN    16

/*
 * Integer parameter min/max/default values
 */

#define WNI_CFG_CFP_PERIOD_STAMIN    0
#define WNI_CFG_CFP_PERIOD_STAMAX    255
#define WNI_CFG_CFP_PERIOD_STADEF    1

#define WNI_CFG_CFP_MAX_DURATION_STAMIN    0
#define WNI_CFG_CFP_MAX_DURATION_STAMAX    65535
#define WNI_CFG_CFP_MAX_DURATION_STADEF    30000

#define WNI_CFG_BEACON_INTERVAL_STAMIN    0
#define WNI_CFG_BEACON_INTERVAL_STAMAX    65535
#define WNI_CFG_BEACON_INTERVAL_STADEF    100

#define WNI_CFG_DTIM_PERIOD_STAMIN    0
#define WNI_CFG_DTIM_PERIOD_STAMAX    65535
#define WNI_CFG_DTIM_PERIOD_STADEF    1

#define WNI_CFG_WEP_KEY_LENGTH_STAMIN    5
#define WNI_CFG_WEP_KEY_LENGTH_STAMAX    13
#define WNI_CFG_WEP_KEY_LENGTH_STADEF    5

#define WNI_CFG_WEP_KEY_LENGTH_5    5
#define WNI_CFG_WEP_KEY_LENGTH_13    13

#define WNI_CFG_WEP_DEFAULT_KEYID_STAMIN    0
#define WNI_CFG_WEP_DEFAULT_KEYID_STAMAX    3
#define WNI_CFG_WEP_DEFAULT_KEYID_STADEF    0

#define WNI_CFG_WEP_DEFAULT_KEYID_0    0
#define WNI_CFG_WEP_DEFAULT_KEYID_1    1
#define WNI_CFG_WEP_DEFAULT_KEYID_2    2
#define WNI_CFG_WEP_DEFAULT_KEYID_3    3

#define WNI_CFG_EXCLUDE_UNENCRYPTED_STAMIN    0
#define WNI_CFG_EXCLUDE_UNENCRYPTED_STAMAX    1
#define WNI_CFG_EXCLUDE_UNENCRYPTED_STADEF    0

#define WNI_CFG_RTS_THRESHOLD_STAMIN    0
#define WNI_CFG_RTS_THRESHOLD_STAMAX    1048576
#define WNI_CFG_RTS_THRESHOLD_STADEF    2347

#define WNI_CFG_SHORT_RETRY_LIMIT_STAMIN    0
#define WNI_CFG_SHORT_RETRY_LIMIT_STAMAX    255
#define WNI_CFG_SHORT_RETRY_LIMIT_STADEF    6

#define WNI_CFG_LONG_RETRY_LIMIT_STAMIN    0
#define WNI_CFG_LONG_RETRY_LIMIT_STAMAX    255
#define WNI_CFG_LONG_RETRY_LIMIT_STADEF    6

#define WNI_CFG_FRAGMENTATION_THRESHOLD_STAMIN    256
#define WNI_CFG_FRAGMENTATION_THRESHOLD_STAMAX    8000
#define WNI_CFG_FRAGMENTATION_THRESHOLD_STADEF    8000

#define WNI_CFG_ACTIVE_MINIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_ACTIVE_MINIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_ACTIVE_MINIMUM_CHANNEL_TIME_STADEF    20

#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STADEF    40

#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STADEF    60

#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STADEF    110

#define WNI_CFG_JOIN_FAILURE_TIMEOUT_STAMIN    0
#define WNI_CFG_JOIN_FAILURE_TIMEOUT_STAMAX    65535
#define WNI_CFG_JOIN_FAILURE_TIMEOUT_STADEF    3000

#define WNI_CFG_AUTHENTICATE_FAILURE_TIMEOUT_STAMIN    0
#define WNI_CFG_AUTHENTICATE_FAILURE_TIMEOUT_STAMAX    65535
#define WNI_CFG_AUTHENTICATE_FAILURE_TIMEOUT_STADEF    1000

#define WNI_CFG_AUTHENTICATE_RSP_TIMEOUT_STAMIN    0
#define WNI_CFG_AUTHENTICATE_RSP_TIMEOUT_STAMAX    65535
#define WNI_CFG_AUTHENTICATE_RSP_TIMEOUT_STADEF    1000

#define WNI_CFG_ASSOCIATION_FAILURE_TIMEOUT_STAMIN    0
#define WNI_CFG_ASSOCIATION_FAILURE_TIMEOUT_STAMAX    65535
#define WNI_CFG_ASSOCIATION_FAILURE_TIMEOUT_STADEF    2000

#define WNI_CFG_REASSOCIATION_FAILURE_TIMEOUT_STAMIN    0
#define WNI_CFG_REASSOCIATION_FAILURE_TIMEOUT_STAMAX    65535
#define WNI_CFG_REASSOCIATION_FAILURE_TIMEOUT_STADEF    1000

#define WNI_CFG_PS_ENABLE_BCN_FILTER_STAMIN    0
#define WNI_CFG_PS_ENABLE_BCN_FILTER_STAMAX    1
#define WNI_CFG_PS_ENABLE_BCN_FILTER_STADEF    1

#define WNI_CFG_PS_ENABLE_HEART_BEAT_STAMIN    0
#define WNI_CFG_PS_ENABLE_HEART_BEAT_STAMAX    1
#define WNI_CFG_PS_ENABLE_HEART_BEAT_STADEF    1

#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STAMIN    0
#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STAMAX    1
#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STADEF    0

#define WNI_CFG_PS_DATA_INACTIVITY_TIMEOUT_STAMIN    1
#define WNI_CFG_PS_DATA_INACTIVITY_TIMEOUT_STAMAX    255
#define WNI_CFG_PS_DATA_INACTIVITY_TIMEOUT_STADEF    200

#define WNI_CFG_RF_SETTLING_TIME_CLK_STAMIN    0
#define WNI_CFG_RF_SETTLING_TIME_CLK_STAMAX    60000
#define WNI_CFG_RF_SETTLING_TIME_CLK_STADEF    1500

#define WNI_CFG_PHY_MODE_STAMIN    0
#define WNI_CFG_PHY_MODE_STAMAX    3
#define WNI_CFG_PHY_MODE_STADEF    0

#define WNI_CFG_PHY_MODE_11A    0
#define WNI_CFG_PHY_MODE_11B    1
#define WNI_CFG_PHY_MODE_11G    2
#define WNI_CFG_PHY_MODE_NONE    3

#define WNI_CFG_DOT11_MODE_STAMIN    0
#define WNI_CFG_DOT11_MODE_STAMAX    11
#define WNI_CFG_DOT11_MODE_STADEF    0

#define WNI_CFG_DOT11_MODE_ALL    0
#define WNI_CFG_DOT11_MODE_11A    1
#define WNI_CFG_DOT11_MODE_11B    2
#define WNI_CFG_DOT11_MODE_11G    3
#define WNI_CFG_DOT11_MODE_11N    4
#define WNI_CFG_DOT11_MODE_11G_ONLY    5
#define WNI_CFG_DOT11_MODE_11N_ONLY    6
#define WNI_CFG_DOT11_MODE_11AC    7
#define WNI_CFG_DOT11_MODE_11AC_ONLY    8

#define WNI_CFG_LISTEN_INTERVAL_STAMIN    0
#define WNI_CFG_LISTEN_INTERVAL_STAMAX    65535
#define WNI_CFG_LISTEN_INTERVAL_STADEF    1

#define WNI_CFG_CURRENT_CHANNEL_STAMIN    0
#define WNI_CFG_CURRENT_CHANNEL_STAMAX    165
#define WNI_CFG_CURRENT_CHANNEL_STADEF    1

#define WNI_CFG_DEFAULT_RATE_INDEX_24GHZ_STAMIN    0
#define WNI_CFG_DEFAULT_RATE_INDEX_24GHZ_STAMAX    31
#define WNI_CFG_DEFAULT_RATE_INDEX_24GHZ_STADEF    1

#define WNI_CFG_RATE_ADAPTATION_TYPE_FIXED    0
#define WNI_CFG_RATE_ADAPTATION_TYPE_AUTO    1
#define WNI_CFG_RATE_ADAPTATION_TYPE_SNR_BASED    2

#define WNI_CFG_FIXED_RATE_STAMIN    0
#define WNI_CFG_FIXED_RATE_STAMAX    44
#define WNI_CFG_FIXED_RATE_STADEF    0

#define WNI_CFG_FIXED_RATE_AUTO    0
#define WNI_CFG_FIXED_RATE_1MBPS    1
#define WNI_CFG_FIXED_RATE_2MBPS    2
#define WNI_CFG_FIXED_RATE_5_5MBPS    3
#define WNI_CFG_FIXED_RATE_11MBPS    4
#define WNI_CFG_FIXED_RATE_6MBPS    5
#define WNI_CFG_FIXED_RATE_9MBPS    6
#define WNI_CFG_FIXED_RATE_12MBPS    7
#define WNI_CFG_FIXED_RATE_18MBPS    8
#define WNI_CFG_FIXED_RATE_24MBPS    9
#define WNI_CFG_FIXED_RATE_36MBPS    10
#define WNI_CFG_FIXED_RATE_48MBPS    11
#define WNI_CFG_FIXED_RATE_54MBPS    12
#define WNI_CFG_FIXED_RATE_6_5MBPS_MCS0_20MHZ_SIMO    13
#define WNI_CFG_FIXED_RATE_13MBPS_MCS1_20MHZ_SIMO    14
#define WNI_CFG_FIXED_RATE_19_5MBPS_MCS2_20MHZ_SIMO    15
#define WNI_CFG_FIXED_RATE_26MBPS_MCS3_20MHZ_SIMO    16
#define WNI_CFG_FIXED_RATE_39MBPS_MCS4_20MHZ_SIMO    17
#define WNI_CFG_FIXED_RATE_52MBPS_MCS5_20MHZ_SIMO    18
#define WNI_CFG_FIXED_RATE_58_5MBPS_MCS6_20MHZ_SIMO    19
#define WNI_CFG_FIXED_RATE_65MBPS_MCS7_20MHZ_SIMO    20
#define WNI_CFG_FIXED_RATE_7_2MBPS_MCS0_20MHZ_SIMO_SGI    21
#define WNI_CFG_FIXED_RATE_14_4MBPS_MCS1_20MHZ_SIMO_SGI    22
#define WNI_CFG_FIXED_RATE_21_7MBPS_MCS2_20MHZ_SIMO_SGI    23
#define WNI_CFG_FIXED_RATE_28_9MBPS_MCS3_20MHZ_SIMO_SGI    24
#define WNI_CFG_FIXED_RATE_43_3MBPS_MCS4_20MHZ_SIMO_SGI    25
#define WNI_CFG_FIXED_RATE_57_8MBPS_MCS5_20MHZ_SIMO_SGI    26
#define WNI_CFG_FIXED_RATE_65MBPS_MCS6_20MHZ_SIMO_SGI    27
#define WNI_CFG_FIXED_RATE_72_2MBPS_MCS7_20MHZ_SIMO_SGI    28
#define WNI_CFG_FIXED_RATE_0_25MBPS_SLR_20MHZ_SIMO    29
#define WNI_CFG_FIXED_RATE_0_5MBPS_SLR_20MHZ_SIMO    30
#define WNI_CFG_FIXED_RATE_68_25MBPS_QC_PROP_20MHZ_SIMO    31
#define WNI_CFG_FIXED_RATE_54MBPS_MCS3_40MHZ_SIMO    32
#define WNI_CFG_FIXED_RATE_81MBPS_MCS4_40MHZ_SIMO    33
#define WNI_CFG_FIXED_RATE_108MBPS_MCS5_40MHZ_SIMO    34
#define WNI_CFG_FIXED_RATE_121_5MBPS_MCS6_40MHZ_SIMO    35
#define WNI_CFG_FIXED_RATE_135MBPS_MCS7_40MHZ_SIMO    36
#define WNI_CFG_FIXED_RATE_15MBPS_MCS0_40MHZ_SIMO_SGI    37
#define WNI_CFG_FIXED_RATE_30MBPS_MCS1_40MHZ_SIMO_SGI    38
#define WNI_CFG_FIXED_RATE_45MBPS_MCS2_40MHZ_SIMO_SGI    39
#define WNI_CFG_FIXED_RATE_60MBPS_MCS3_40MHZ_SIMO_SGI    40
#define WNI_CFG_FIXED_RATE_90MBPS_MCS4_40MHZ_SIMO_SGI    41
#define WNI_CFG_FIXED_RATE_120MBPS_MCS5_40MHZ_SIMO_SGI    42
#define WNI_CFG_FIXED_RATE_135MBPS_MCS6_40MHZ_SIMO_SGI    43
#define WNI_CFG_FIXED_RATE_150MBPS_MCS7_40MHZ_SIMO_SGI    44

#define WNI_CFG_RETRYRATE_POLICY_MIN_SUPPORTED    0
#define WNI_CFG_RETRYRATE_POLICY_PRIMARY    1
#define WNI_CFG_RETRYRATE_POLICY_RESERVED    2
#define WNI_CFG_RETRYRATE_POLICY_CLOSEST    3
#define WNI_CFG_RETRYRATE_POLICY_AUTOSELECT    4
#define WNI_CFG_RETRYRATE_POLICY_MAX    5

#define WNI_CFG_APSD_ENABLED_STAMIN    0
#define WNI_CFG_APSD_ENABLED_STAMAX    1
#define WNI_CFG_APSD_ENABLED_STADEF    0

#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STAMIN    0
#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STAMAX    1
#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STADEF    1

#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STAMIN    0
#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STAMAX    1
#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STADEF    1

#define WNI_CFG_AUTHENTICATION_TYPE_STAMIN    0
#define WNI_CFG_AUTHENTICATION_TYPE_STAMAX    65535
#define WNI_CFG_AUTHENTICATION_TYPE_STADEF    0

#define WNI_CFG_PRIVACY_ENABLED_STAMIN    0
#define WNI_CFG_PRIVACY_ENABLED_STAMAX    1
#define WNI_CFG_PRIVACY_ENABLED_STADEF    0

#define WNI_CFG_SHORT_PREAMBLE_STAMIN    0
#define WNI_CFG_SHORT_PREAMBLE_STAMAX    1
#define WNI_CFG_SHORT_PREAMBLE_STADEF    1

#define WNI_CFG_SHORT_SLOT_TIME_STAMIN    0
#define WNI_CFG_SHORT_SLOT_TIME_STAMAX    1
#define WNI_CFG_SHORT_SLOT_TIME_STADEF    1

#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STAMIN    0
#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STAMAX    1
#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STADEF    0

#define WNI_CFG_QOS_ENABLED_STAMIN    0
#define WNI_CFG_QOS_ENABLED_STAMAX    1
#define WNI_CFG_QOS_ENABLED_STADEF    0

#define WNI_CFG_HCF_ENABLED_STAMIN    0
#define WNI_CFG_HCF_ENABLED_STAMAX    1
#define WNI_CFG_HCF_ENABLED_STADEF    0

#define WNI_CFG_RSN_ENABLED_STAMIN    0
#define WNI_CFG_RSN_ENABLED_STAMAX    1
#define WNI_CFG_RSN_ENABLED_STADEF    0

#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STAMIN    0
#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STAMAX    180000
#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STADEF    5000

#define WNI_CFG_MAX_NUM_PRE_AUTH_STAMIN    0
#define WNI_CFG_MAX_NUM_PRE_AUTH_STAMAX    256
#define WNI_CFG_MAX_NUM_PRE_AUTH_STADEF    64

#define WNI_CFG_HEART_BEAT_THRESHOLD_STAMIN    0
#define WNI_CFG_HEART_BEAT_THRESHOLD_STAMAX    65535
#define WNI_CFG_HEART_BEAT_THRESHOLD_STADEF    40

#define WNI_CFG_PROBE_AFTER_HB_FAIL_TIMEOUT_STAMIN    10
#define WNI_CFG_PROBE_AFTER_HB_FAIL_TIMEOUT_STAMAX    10000
#define WNI_CFG_PROBE_AFTER_HB_FAIL_TIMEOUT_STADEF    40

#define WNI_CFG_11D_ENABLED_STAMIN    0
#define WNI_CFG_11D_ENABLED_STAMAX    1
#define WNI_CFG_11D_ENABLED_STADEF    1

#define WNI_CFG_NETWORK_DENSITY_LOW    0
#define WNI_CFG_NETWORK_DENSITY_MEDIUM    1
#define WNI_CFG_NETWORK_DENSITY_HIGH    2
#define WNI_CFG_NETWORK_DENSITY_ADAPTIVE    3

#define WNI_CFG_ADAPTIVE_THRESHOLD_ALGORITHM_CARRIER    1
#define WNI_CFG_ADAPTIVE_THRESHOLD_ALGORITHM_CORRELATION    2

#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STAMIN    0
#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STAMAX    128
#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STADEF    27



#define WNI_CFG_NEW_BSS_FOUND_IND_STAMIN    0
#define WNI_CFG_NEW_BSS_FOUND_IND_STAMAX    1
#define WNI_CFG_NEW_BSS_FOUND_IND_STADEF    0


#define WNI_CFG_11H_ENABLED_STAMIN    0
#define WNI_CFG_11H_ENABLED_STAMAX    1
#define WNI_CFG_11H_ENABLED_STADEF    1

#define WNI_CFG_WT_CNF_TIMEOUT_STAMIN    10
#define WNI_CFG_WT_CNF_TIMEOUT_STAMAX    3000
#define WNI_CFG_WT_CNF_TIMEOUT_STADEF    1000

#define WNI_CFG_LOG_LEVEL_STAMIN    0
#define WNI_CFG_LOG_LEVEL_STAMAX    7
#define WNI_CFG_LOG_LEVEL_STADEF    4

#define WNI_CFG_OLBC_DETECT_TIMEOUT_STAMIN    1000
#define WNI_CFG_OLBC_DETECT_TIMEOUT_STAMAX    30000
#define WNI_CFG_OLBC_DETECT_TIMEOUT_STADEF    10000

#define WNI_CFG_PROTECTION_ENABLED_STAMIN    0
#define WNI_CFG_PROTECTION_ENABLED_STAMAX    65535
#define WNI_CFG_PROTECTION_ENABLED_STADEF    65535

#define WNI_CFG_PROTECTION_ENABLED_FROM_llA    0
#define WNI_CFG_PROTECTION_ENABLED_FROM_llB    1
#define WNI_CFG_PROTECTION_ENABLED_FROM_llG    2
#define WNI_CFG_PROTECTION_ENABLED_HT_20    3
#define WNI_CFG_PROTECTION_ENABLED_NON_GF    4
#define WNI_CFG_PROTECTION_ENABLED_LSIG_TXOP    5
#define WNI_CFG_PROTECTION_ENABLED_RIFS    6
#define WNI_CFG_PROTECTION_ENABLED_OBSS    7
#define WNI_CFG_PROTECTION_ENABLED_OLBC_FROM_llA    8
#define WNI_CFG_PROTECTION_ENABLED_OLBC_FROM_llB    9
#define WNI_CFG_PROTECTION_ENABLED_OLBC_FROM_llG    10
#define WNI_CFG_PROTECTION_ENABLED_OLBC_HT20    11
#define WNI_CFG_PROTECTION_ENABLED_OLBC_NON_GF    12
#define WNI_CFG_PROTECTION_ENABLED_OLBC_LSIG_TXOP    13
#define WNI_CFG_PROTECTION_ENABLED_OLBC_RIFS    14
#define WNI_CFG_PROTECTION_ENABLED_OLBC_OBSS    15

#define WNI_CFG_11G_PROTECTION_ALWAYS_STAMIN    0
#define WNI_CFG_11G_PROTECTION_ALWAYS_STAMAX    1
#define WNI_CFG_11G_PROTECTION_ALWAYS_STADEF    0

#define WNI_CFG_FORCE_POLICY_PROTECTION_STAMIN    0
#define WNI_CFG_FORCE_POLICY_PROTECTION_STAMAX    5
#define WNI_CFG_FORCE_POLICY_PROTECTION_STADEF    5

#define WNI_CFG_FORCE_POLICY_PROTECTION_DISABLE    0
#define WNI_CFG_FORCE_POLICY_PROTECTION_CTS    1
#define WNI_CFG_FORCE_POLICY_PROTECTION_RTS    2
#define WNI_CFG_FORCE_POLICY_PROTECTION_DUAL_CTS    3
#define WNI_CFG_FORCE_POLICY_PROTECTION_RTS_ALWAYS    4
#define WNI_CFG_FORCE_POLICY_PROTECTION_AUTO    5

#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STAMIN    0
#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STAMAX    1
#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STADEF    0

#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STAMIN    0
#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STAMAX    1
#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STADEF    1

#define WNI_CFG_11G_ONLY_POLICY_STAMIN    0
#define WNI_CFG_11G_ONLY_POLICY_STAMAX    1
#define WNI_CFG_11G_ONLY_POLICY_STADEF    0

#define WNI_CFG_WME_ENABLED_STAMIN    0
#define WNI_CFG_WME_ENABLED_STAMAX    1
#define WNI_CFG_WME_ENABLED_STADEF    1

#define WNI_CFG_ADDTS_RSP_TIMEOUT_STAMIN    0
#define WNI_CFG_ADDTS_RSP_TIMEOUT_STAMAX    65535
#define WNI_CFG_ADDTS_RSP_TIMEOUT_STADEF    1000

#define WNI_CFG_MAX_SP_LENGTH_STAMIN    0
#define WNI_CFG_MAX_SP_LENGTH_STAMAX    3
#define WNI_CFG_MAX_SP_LENGTH_STADEF    0

#define WNI_CFG_WSM_ENABLED_STAMIN    0
#define WNI_CFG_WSM_ENABLED_STAMAX    1
#define WNI_CFG_WSM_ENABLED_STADEF    0

#define WNI_CFG_EDCA_PROFILE_STAMIN    0
#define WNI_CFG_EDCA_PROFILE_STAMAX    255
#define WNI_CFG_EDCA_PROFILE_STADEF    1

#define WNI_CFG_EDCA_PROFILE_ANI    0
#define WNI_CFG_EDCA_PROFILE_WMM    1
#define WNI_CFG_EDCA_PROFILE_TIT_DEMO    2
#define WNI_CFG_EDCA_PROFILE_MAX    3
#define WNI_CFG_EDCA_PROFILE_ACM_IDX    0
#define WNI_CFG_EDCA_PROFILE_AIFSN_IDX    1
#define WNI_CFG_EDCA_PROFILE_CWMINA_IDX    2
#define WNI_CFG_EDCA_PROFILE_CWMAXA_IDX    4
#define WNI_CFG_EDCA_PROFILE_TXOPA_IDX    6
#define WNI_CFG_EDCA_PROFILE_CWMINB_IDX    7
#define WNI_CFG_EDCA_PROFILE_CWMAXB_IDX    9
#define WNI_CFG_EDCA_PROFILE_TXOPB_IDX    11
#define WNI_CFG_EDCA_PROFILE_CWMING_IDX    12
#define WNI_CFG_EDCA_PROFILE_CWMAXG_IDX    14
#define WNI_CFG_EDCA_PROFILE_TXOPG_IDX    16

#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STAMIN    0
#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STAMAX    255
#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STADEF    0

#define WNI_CFG_ADMIT_POLICY_STAMIN    0
#define WNI_CFG_ADMIT_POLICY_STAMAX    2
#define WNI_CFG_ADMIT_POLICY_STADEF    0

#define WNI_CFG_ADMIT_POLICY_ADMIT_ALL    0
#define WNI_CFG_ADMIT_POLICY_REJECT_ALL    1
#define WNI_CFG_ADMIT_POLICY_BW_FACTOR    2

#define WNI_CFG_ADMIT_BWFACTOR_STAMIN    0
#define WNI_CFG_ADMIT_BWFACTOR_STAMAX    100
#define WNI_CFG_ADMIT_BWFACTOR_STADEF    20

#define WNI_CFG_CHANNEL_BONDING_MODE_STAMIN    0
#define WNI_CFG_CHANNEL_BONDING_MODE_STAMAX    10
#define WNI_CFG_CHANNEL_BONDING_MODE_STADEF    0

#define WNI_CFG_CHANNEL_BONDING_MODE_DISABLE    0
#define WNI_CFG_CHANNEL_BONDING_MODE_ENABLE    1
#define WNI_CFG_CHANNEL_BONDING_MODE_IF_NO_LEGACY_BSS    2
#define WNI_CFG_CHANNEL_BONDING_MODE_IF_NO_LEGACY_ALL    3
#define WNI_CFG_CHANNEL_BONDING_MODE_INTELLIGENT    4

#define WNI_CFG_DYNAMIC_THRESHOLD_ZERO_STAMIN    0
#define WNI_CFG_DYNAMIC_THRESHOLD_ZERO_STAMAX    255
#define WNI_CFG_DYNAMIC_THRESHOLD_ZERO_STADEF    2

#define WNI_CFG_DYNAMIC_THRESHOLD_ONE_STAMIN    0
#define WNI_CFG_DYNAMIC_THRESHOLD_ONE_STAMAX    255
#define WNI_CFG_DYNAMIC_THRESHOLD_ONE_STADEF    4

#define WNI_CFG_DYNAMIC_THRESHOLD_TWO_STAMIN    0
#define WNI_CFG_DYNAMIC_THRESHOLD_TWO_STAMAX    255
#define WNI_CFG_DYNAMIC_THRESHOLD_TWO_STADEF    6

#define WNI_CFG_BLOCK_ACK_ENABLED_STAMIN    0
#define WNI_CFG_BLOCK_ACK_ENABLED_STAMAX    3
#define WNI_CFG_BLOCK_ACK_ENABLED_STADEF    0

#define WNI_CFG_BLOCK_ACK_ENABLED_DELAYED    0
#define WNI_CFG_BLOCK_ACK_ENABLED_IMMEDIATE    1

#define WNI_CFG_HT_RX_STBC_STAMIN    0
#define WNI_CFG_HT_RX_STBC_STAMAX    3
#define WNI_CFG_HT_RX_STBC_STADEF    1

#define WNI_CFG_HT_CAP_INFO_STAMIN    0
#define WNI_CFG_HT_CAP_INFO_STAMAX    65535
#define WNI_CFG_HT_CAP_INFO_STADEF    364

#define WNI_CFG_HT_CAP_INFO_ADVANCE_CODING    0
#define WNI_CFG_HT_CAP_INFO_SUPPORTED_CHAN_WIDTH_SET    1
#define WNI_CFG_HT_CAP_INFO_SM_POWER_SAVE    2
#define WNI_CFG_HT_CAP_INFO_GREEN_FIELD    4
#define WNI_CFG_HT_CAP_INFO_SHORT_GI_20MHZ    5
#define WNI_CFG_HT_CAP_INFO_SHORT_GI_40MHZ    6
#define WNI_CFG_HT_CAP_INFO_TX_STBC    7
#define WNI_CFG_HT_CAP_INFO_RX_STBC    8
#define WNI_CFG_HT_CAP_INFO_DELAYED_BA    10
#define WNI_CFG_HT_CAP_INFO_MAX_AMSDU_SIZE    11
#define WNI_CFG_HT_CAP_INFO_DSSS_CCK_MODE_40MHZ    12
#define WNI_CFG_HT_CAP_INFO_PSMP    13
#define WNI_CFG_HT_CAP_INFO_STBC_CONTROL_FRAME    14
#define WNI_CFG_HT_CAP_INFO_LSIG_TXOP_PROTECTION    15

#define WNI_CFG_HT_AMPDU_PARAMS_STAMIN    0
#define WNI_CFG_HT_AMPDU_PARAMS_STAMAX    255
#define WNI_CFG_HT_AMPDU_PARAMS_STADEF    0

#define WNI_CFG_HT_AMPDU_PARAMS_MAX_RX_AMPDU_FACTOR    0
#define WNI_CFG_HT_AMPDU_PARAMS_MPDU_DENSITY    2
#define WNI_CFG_HT_AMPDU_PARAMS_RESERVED    5

#define WNI_CFG_EXT_HT_CAP_INFO_STAMIN    0
#define WNI_CFG_EXT_HT_CAP_INFO_STAMAX    65535
#define WNI_CFG_EXT_HT_CAP_INFO_STADEF    1024

#define WNI_CFG_EXT_HT_CAP_INFO_PCO    0
#define WNI_CFG_EXT_HT_CAP_INFO_TRANSITION_TIME    1
#define WNI_CFG_EXT_HT_CAP_INFO_RESERVED1    3
#define WNI_CFG_EXT_HT_CAP_INFO_MCS_FEEDBACK    8
#define WNI_CFG_EXT_HT_CAP_INFO_HTC_SUPPORT    10
#define WNI_CFG_EXT_HT_CAP_INFO_RD_RESPONDER    11
#define WNI_CFG_EXT_HT_CAP_INFO_RESERVED2    12

#define WNI_CFG_TX_BF_CAP_STAMIN    0
#define WNI_CFG_TX_BF_CAP_STAMAX    4294967295
#define WNI_CFG_TX_BF_CAP_STADEF    0

#define WNI_CFG_AS_CAP_STAMIN    0
#define WNI_CFG_AS_CAP_STAMAX    255
#define WNI_CFG_AS_CAP_STADEF    0

#define WNI_CFG_AS_CAP_ANTENNA_SELECTION    0
#define WNI_CFG_AS_CAP_EXPLICIT_CSI_FEEDBACK_TX    1
#define WNI_CFG_AS_CAP_ANTENNA_INDICES_FEEDBACK_TX    2
#define WNI_CFG_AS_CAP_EXPLICIT_CSI_FEEDBACK    3
#define WNI_CFG_AS_CAP_ANTENNA_INDICES_FEEDBACK    4
#define WNI_CFG_AS_CAP_RX_AS    5
#define WNI_CFG_AS_CAP_TX_SOUNDING_PPDUS    6
#define WNI_CFG_AS_CAP_RESERVED    7

#define WNI_CFG_HT_INFO_FIELD1_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD1_STAMAX    255
#define WNI_CFG_HT_INFO_FIELD1_STADEF    15

#define WNI_CFG_HT_INFO_FIELD1_SECONDARY_CHANNEL_OFFSET    0
#define WNI_CFG_HT_INFO_FIELD1_RECOMMENDED_CHANNEL_WIDTH    2
#define WNI_CFG_HT_INFO_FIELD1_RIFS_MODE    3
#define WNI_CFG_HT_INFO_FIELD1_PSMP_ACCESS_ONLY    4
#define WNI_CFG_HT_INFO_FIELD1_SERVICE_INTERVAL_GRANULARITY    5

#define WNI_CFG_HT_INFO_FIELD2_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD2_STAMAX    65535
#define WNI_CFG_HT_INFO_FIELD2_STADEF    0

#define WNI_CFG_HT_INFO_FIELD2_OP_MODE    0
#define WNI_CFG_HT_INFO_FIELD2_NON_GF_DEVICES_PRESENT    2
#define WNI_CFG_HT_INFO_FIELD2_RESERVED    3

#define WNI_CFG_HT_INFO_FIELD3_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD3_STAMAX    65535
#define WNI_CFG_HT_INFO_FIELD3_STADEF    0

#define WNI_CFG_HT_INFO_FIELD3_BASIC_STBC_MCS    0
#define WNI_CFG_HT_INFO_FIELD3_DUAL_STBC_PROTECTION    7
#define WNI_CFG_HT_INFO_FIELD3_SECONDARY_BEACON    8
#define WNI_CFG_HT_INFO_FIELD3_LSIG_TXOP_PROTECTION_FULL_SUPPORT    9
#define WNI_CFG_HT_INFO_FIELD3_PCO_ACTIVE    10
#define WNI_CFG_HT_INFO_FIELD3_PCO_PHASE    11
#define WNI_CFG_HT_INFO_FIELD3_RESERVED    12

#define WNI_CFG_GREENFIELD_CAPABILITY_STAMIN    0
#define WNI_CFG_GREENFIELD_CAPABILITY_STAMAX    1
#define WNI_CFG_GREENFIELD_CAPABILITY_STADEF    0

#define WNI_CFG_GREENFIELD_CAPABILITY_ENABLE    1
#define WNI_CFG_GREENFIELD_CAPABILITY_DISABLE    0

#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STAMIN    0
#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STAMAX    2
#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STADEF    0

#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STAMIN    0
#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STAMAX    2
#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STADEF    2

#define WNI_CFG_VHT_LDPC_CODING_CAP_STAMIN    0
#define WNI_CFG_VHT_LDPC_CODING_CAP_STAMAX    1
#define WNI_CFG_VHT_LDPC_CODING_CAP_STADEF    0

#define WNI_CFG_VHT_SHORT_GI_80MHZ_STAMIN    0
#define WNI_CFG_VHT_SHORT_GI_80MHZ_STAMAX    1
#define WNI_CFG_VHT_SHORT_GI_80MHZ_STADEF    1

#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STAMIN    0
#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STAMAX    1
#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STADEF    1

#define WNI_CFG_VHT_TXSTBC_STAMIN    0
#define WNI_CFG_VHT_TXSTBC_STAMAX    1
#define WNI_CFG_VHT_TXSTBC_STADEF    0

#define WNI_CFG_VHT_RXSTBC_STAMIN    0
#define WNI_CFG_VHT_RXSTBC_STAMAX    1
#define WNI_CFG_VHT_RXSTBC_STADEF    1

#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STAMIN    0
#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STAMAX    1
#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STADEF    0

#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STAMIN    0
#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STAMAX    1
#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STADEF    1

#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STAMIN    0
#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STAMAX    4
#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STADEF    0

#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STAMIN    0
#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STAMAX    3
#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STADEF    0

#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STAMIN    0
#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STAMAX    1
#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STADEF    0

#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STAMIN    0
#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STAMAX    1
#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STADEF    0

#define WNI_CFG_VHT_TXOP_PS_STAMIN    0
#define WNI_CFG_VHT_TXOP_PS_STAMAX    1
#define WNI_CFG_VHT_TXOP_PS_STADEF    0

#define WNI_CFG_VHT_HTC_VHTC_CAP_STAMIN    0
#define WNI_CFG_VHT_HTC_VHTC_CAP_STAMAX    1
#define WNI_CFG_VHT_HTC_VHTC_CAP_STADEF    0

#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STAMIN    0
#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STAMAX    7
#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STADEF    3

#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STAMIN    0
#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STAMAX    3
#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STADEF    0

#define WNI_CFG_VHT_RX_ANT_PATTERN_STAMIN    0
#define WNI_CFG_VHT_RX_ANT_PATTERN_STAMAX    1
#define WNI_CFG_VHT_RX_ANT_PATTERN_STADEF    1

#define WNI_CFG_VHT_TX_ANT_PATTERN_STAMIN    0
#define WNI_CFG_VHT_TX_ANT_PATTERN_STAMAX    1
#define WNI_CFG_VHT_TX_ANT_PATTERN_STADEF    1

#define WNI_CFG_VHT_RX_MCS_MAP_STAMIN    0
#define WNI_CFG_VHT_RX_MCS_MAP_STAMAX    65535
#define WNI_CFG_VHT_RX_MCS_MAP_STADEF    65534

#define WNI_CFG_VHT_TX_MCS_MAP_STAMIN    0
#define WNI_CFG_VHT_TX_MCS_MAP_STAMAX    65535
#define WNI_CFG_VHT_TX_MCS_MAP_STADEF    65534

#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STAMIN    0
#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STAMAX    780
#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STADEF    780

#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STAMIN    0
#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STAMAX    780
#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STADEF    780

#define WNI_CFG_VHT_BASIC_MCS_SET_STAMIN    0
#define WNI_CFG_VHT_BASIC_MCS_SET_STAMAX    65535
#define WNI_CFG_VHT_BASIC_MCS_SET_STADEF    65534

#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STAMIN    0
#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STAMAX    4
#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STADEF    0

#define WNI_CFG_VHT_SS_UNDER_UTIL_STAMIN    0
#define WNI_CFG_VHT_SS_UNDER_UTIL_STAMAX    0
#define WNI_CFG_VHT_SS_UNDER_UTIL_STADEF    0

#define WNI_CFG_VHT_40MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_40MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_40MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_VHT_80MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_80MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_80MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_VHT_160MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_160MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_160MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_MAX_AMSDU_LENGTH_STAMIN    0
#define WNI_CFG_MAX_AMSDU_LENGTH_STAMAX    1
#define WNI_CFG_MAX_AMSDU_LENGTH_STADEF    0

#define WNI_CFG_MAX_AMSDU_LENGTH_SHORT_3839_BYTES    0
#define WNI_CFG_MAX_AMSDU_LENGTH_LONG_7935__BYTES    1

#define WNI_CFG_MPDU_DENSITY_STAMIN    0
#define WNI_CFG_MPDU_DENSITY_STAMAX    7
#define WNI_CFG_MPDU_DENSITY_STADEF    7

#define WNI_CFG_NUM_BUFF_ADVERT_STAMIN    0
#define WNI_CFG_NUM_BUFF_ADVERT_STAMAX    128
#define WNI_CFG_NUM_BUFF_ADVERT_STADEF    64

#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STAMIN    0
#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STAMAX    3
#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STADEF    3

#define WNI_CFG_SHORT_GI_20MHZ_STAMIN    0
#define WNI_CFG_SHORT_GI_20MHZ_STAMAX    1
#define WNI_CFG_SHORT_GI_20MHZ_STADEF    1

#define WNI_CFG_SHORT_GI_20MHZ_ENABLE    1
#define WNI_CFG_SHORT_GI_20MHZ_DISABLE    0

#define WNI_CFG_SHORT_GI_40MHZ_STAMIN    0
#define WNI_CFG_SHORT_GI_40MHZ_STAMAX    1
#define WNI_CFG_SHORT_GI_40MHZ_STADEF    0

#define WNI_CFG_SHORT_GI_40MHZ_ENABLE    1
#define WNI_CFG_SHORT_GI_40MHZ_DISABLE    0

#define WNI_CFG_MAX_PS_POLL_STAMIN    0
#define WNI_CFG_MAX_PS_POLL_STAMAX    255
#define WNI_CFG_MAX_PS_POLL_STADEF    0

#define WNI_CFG_RSSI_FILTER_PERIOD_STAMIN    0
#define WNI_CFG_RSSI_FILTER_PERIOD_STAMAX    255
#define WNI_CFG_RSSI_FILTER_PERIOD_STADEF    5

#define WNI_CFG_SCAN_IN_POWERSAVE_STAMIN    0
#define WNI_CFG_SCAN_IN_POWERSAVE_STAMAX    1
#define WNI_CFG_SCAN_IN_POWERSAVE_STADEF    1

#define WNI_CFG_IGNORE_DTIM_STAMIN    0
#define WNI_CFG_IGNORE_DTIM_STAMAX    1
#define WNI_CFG_IGNORE_DTIM_STADEF    0

#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_MAX_MISSED_BEACON_STAMIN    0
#define WNI_CFG_WOWLAN_MAX_MISSED_BEACON_STAMAX    65535
#define WNI_CFG_WOWLAN_MAX_MISSED_BEACON_STADEF    40

#define WNI_CFG_WOWLAN_MAX_SLEEP_PERIOD_STAMIN    0
#define WNI_CFG_WOWLAN_MAX_SLEEP_PERIOD_STAMAX    65535
#define WNI_CFG_WOWLAN_MAX_SLEEP_PERIOD_STADEF    65535

#define WNI_CFG_MAX_MEDIUM_TIME_STAMIN    0
#define WNI_CFG_MAX_MEDIUM_TIME_STAMAX    65535
#define WNI_CFG_MAX_MEDIUM_TIME_STADEF    2048

#define WNI_CFG_IBSS_AUTO_BSSID_STAMIN    0
#define WNI_CFG_IBSS_AUTO_BSSID_STAMAX    1
#define WNI_CFG_IBSS_AUTO_BSSID_STADEF    1

#define WNI_CFG_PROBE_RSP_BCN_ADDNIE_FLAG_STAMIN    0
#define WNI_CFG_PROBE_RSP_BCN_ADDNIE_FLAG_STAMAX    1
#define WNI_CFG_PROBE_RSP_BCN_ADDNIE_FLAG_STADEF    0

#define WNI_CFG_WPS_ENABLE_STAMIN    0
#define WNI_CFG_WPS_ENABLE_STAMAX    255
#define WNI_CFG_WPS_ENABLE_STADEF    0

#define WNI_CFG_WPS_ENABLE_AP    1
#define WNI_CFG_WPS_ENABLE_STA    2

#define WNI_CFG_WPS_STATE_STAMIN    0
#define WNI_CFG_WPS_STATE_STAMAX    255
#define WNI_CFG_WPS_STATE_STADEF    1

#define WNI_CFG_WPS_VERSION_STAMIN    0
#define WNI_CFG_WPS_VERSION_STAMAX    255
#define WNI_CFG_WPS_VERSION_STADEF    16

#define WNI_CFG_WPS_CFG_METHOD_STAMIN    0
#define WNI_CFG_WPS_CFG_METHOD_STAMAX    4294967295
#define WNI_CFG_WPS_CFG_METHOD_STADEF    8

#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STAMIN    0
#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STAMAX    65535
#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STADEF    1

#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STAMIN    0
#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STAMAX    4294967295
#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STADEF    5304836

#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STAMIN    0
#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STAMAX    65535
#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STADEF    1

#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STAMIN    0
#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STAMAX    4294967295
#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STADEF    0

#define WNI_CFG_LOW_GAIN_OVERRIDE_STAMIN    0
#define WNI_CFG_LOW_GAIN_OVERRIDE_STAMAX    1
#define WNI_CFG_LOW_GAIN_OVERRIDE_STADEF    0

#define WNI_CFG_SINGLE_TID_RC_STAMIN    0
#define WNI_CFG_SINGLE_TID_RC_STAMAX    1
#define WNI_CFG_SINGLE_TID_RC_STADEF    1

#define WNI_CFG_MCAST_BCAST_FILTER_SETTING_STAMIN    0
#define WNI_CFG_MCAST_BCAST_FILTER_SETTING_STAMAX    3
#define WNI_CFG_MCAST_BCAST_FILTER_SETTING_STADEF    0

#define WNI_CFG_DYNAMIC_PS_POLL_VALUE_STAMIN    0
#define WNI_CFG_DYNAMIC_PS_POLL_VALUE_STAMAX    255
#define WNI_CFG_DYNAMIC_PS_POLL_VALUE_STADEF    0

#define WNI_CFG_PS_NULLDATA_AP_RESP_TIMEOUT_STAMIN    0
#define WNI_CFG_PS_NULLDATA_AP_RESP_TIMEOUT_STAMAX    80
#define WNI_CFG_PS_NULLDATA_AP_RESP_TIMEOUT_STADEF    0

#define WNI_CFG_TELE_BCN_WAKEUP_EN_STAMIN    0
#define WNI_CFG_TELE_BCN_WAKEUP_EN_STAMAX    1
#define WNI_CFG_TELE_BCN_WAKEUP_EN_STADEF    0

#define WNI_CFG_TELE_BCN_TRANS_LI_STAMIN    0
#define WNI_CFG_TELE_BCN_TRANS_LI_STAMAX    7
#define WNI_CFG_TELE_BCN_TRANS_LI_STADEF    3

#define WNI_CFG_TELE_BCN_TRANS_LI_IDLE_BCNS_STAMIN    5
#define WNI_CFG_TELE_BCN_TRANS_LI_IDLE_BCNS_STAMAX    255
#define WNI_CFG_TELE_BCN_TRANS_LI_IDLE_BCNS_STADEF    10

#define WNI_CFG_TELE_BCN_MAX_LI_STAMIN    0
#define WNI_CFG_TELE_BCN_MAX_LI_STAMAX    7
#define WNI_CFG_TELE_BCN_MAX_LI_STADEF    5

#define WNI_CFG_TELE_BCN_MAX_LI_IDLE_BCNS_STAMIN    5
#define WNI_CFG_TELE_BCN_MAX_LI_IDLE_BCNS_STAMAX    255
#define WNI_CFG_TELE_BCN_MAX_LI_IDLE_BCNS_STADEF    15

#define WNI_CFG_INFRA_STA_KEEP_ALIVE_PERIOD_STAMIN    0
#define WNI_CFG_INFRA_STA_KEEP_ALIVE_PERIOD_STAMAX    1000
#define WNI_CFG_INFRA_STA_KEEP_ALIVE_PERIOD_STADEF    0

#define WNI_CFG_ASSOC_STA_LIMIT_STAMIN    1
#define WNI_CFG_ASSOC_STA_LIMIT_STAMAX    32
#define WNI_CFG_ASSOC_STA_LIMIT_STADEF    10

#define WNI_CFG_AP_DATA_AVAIL_POLL_PERIOD_STAMIN    0
#define WNI_CFG_AP_DATA_AVAIL_POLL_PERIOD_STAMAX    65535
#define WNI_CFG_AP_DATA_AVAIL_POLL_PERIOD_STADEF    5

#define WNI_CFG_ENABLE_LTE_COEX_STAMIN    0
#define WNI_CFG_ENABLE_LTE_COEX_STAMAX    1
#define WNI_CFG_ENABLE_LTE_COEX_STADEF    0

#define WNI_CFG_AP_KEEP_ALIVE_TIMEOUT_STAMIN    1
#define WNI_CFG_AP_KEEP_ALIVE_TIMEOUT_STAMAX    65535
#define WNI_CFG_AP_KEEP_ALIVE_TIMEOUT_STADEF    20

#define WNI_CFG_GO_KEEP_ALIVE_TIMEOUT_STAMIN    1
#define WNI_CFG_GO_KEEP_ALIVE_TIMEOUT_STAMAX    65535
#define WNI_CFG_GO_KEEP_ALIVE_TIMEOUT_STADEF    20

#define WNI_CFG_ENABLE_MC_ADDR_LIST_STAMIN    0
#define WNI_CFG_ENABLE_MC_ADDR_LIST_STAMAX    1
#define WNI_CFG_ENABLE_MC_ADDR_LIST_STADEF    0

#define WNI_CFG_ENABLE_LPWR_IMG_TRANSITION_STAMIN    0
#define WNI_CFG_ENABLE_LPWR_IMG_TRANSITION_STAMAX    1
#define WNI_CFG_ENABLE_LPWR_IMG_TRANSITION_STADEF    0

#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STAMIN    0
#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STAMAX    1
#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STADEF    0

#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STAMIN    0
#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STAMAX    1
#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STADEF    0

#define WNI_CFG_AP_LINK_MONITOR_TIMEOUT_STAMIN    1
#define WNI_CFG_AP_LINK_MONITOR_TIMEOUT_STAMAX    255
#define WNI_CFG_AP_LINK_MONITOR_TIMEOUT_STADEF    3

#define WNI_CFG_TDLS_QOS_WMM_UAPSD_MASK_STAMIN    0
#define WNI_CFG_TDLS_QOS_WMM_UAPSD_MASK_STAMAX    15
#define WNI_CFG_TDLS_QOS_WMM_UAPSD_MASK_STADEF    0

#define WNI_CFG_TDLS_BUF_STA_ENABLED_STAMIN    0
#define WNI_CFG_TDLS_BUF_STA_ENABLED_STAMAX    1
#define WNI_CFG_TDLS_BUF_STA_ENABLED_STADEF    0

#define WNI_CFG_TDLS_PUAPSD_INACT_TIME_STAMIN    0
#define WNI_CFG_TDLS_PUAPSD_INACT_TIME_STAMAX    10
#define WNI_CFG_TDLS_PUAPSD_INACT_TIME_STADEF    0

#define WNI_CFG_TDLS_RX_FRAME_THRESHOLD_STAMIN    10
#define WNI_CFG_TDLS_RX_FRAME_THRESHOLD_STAMAX    20
#define WNI_CFG_TDLS_RX_FRAME_THRESHOLD_STADEF    10

#define WNI_CFG_PMF_SA_QUERY_MAX_RETRIES_STAMIN    0
#define WNI_CFG_PMF_SA_QUERY_MAX_RETRIES_STAMAX    20
#define WNI_CFG_PMF_SA_QUERY_MAX_RETRIES_STADEF    5

#define WNI_CFG_PMF_SA_QUERY_RETRY_INTERVAL_STAMIN    10
#define WNI_CFG_PMF_SA_QUERY_RETRY_INTERVAL_STAMAX    2000
#define WNI_CFG_PMF_SA_QUERY_RETRY_INTERVAL_STADEF    200

#define WNI_CFG_ENABLE_ADAPT_RX_DRAIN_STAMIN    0
#define WNI_CFG_ENABLE_ADAPT_RX_DRAIN_STAMAX    1
#define WNI_CFG_ENABLE_ADAPT_RX_DRAIN_STADEF    1

#define WNI_CFG_ANTENNA_DIVESITY_STAMIN    0
#define WNI_CFG_ANTENNA_DIVESITY_STAMAX    3
#define WNI_CFG_ANTENNA_DIVESITY_STADEF    0

#define WNI_CFG_GO_LINK_MONITOR_TIMEOUT_STAMIN    3
#define WNI_CFG_GO_LINK_MONITOR_TIMEOUT_STAMAX    50
#define WNI_CFG_GO_LINK_MONITOR_TIMEOUT_STADEF    10

#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STAMIN    100
#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STAMAX    1000
#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STADEF    300

#define WNI_CFG_CURRENT_RSSI_STAMIN    0
#define WNI_CFG_CURRENT_RSSI_STAMAX    127
#define WNI_CFG_CURRENT_RSSI_STADEF    0

#define WNI_CFG_RTT3_ENABLE_STAMIN    0
#define WNI_CFG_RTT3_ENABLE_STAMAX    1
#define WNI_CFG_RTT3_ENABLE_STADEF    1

#define WNI_CFG_DEBUG_P2P_REMAIN_ON_CHANNEL_STAMIN    0
#define WNI_CFG_DEBUG_P2P_REMAIN_ON_CHANNEL_STAMAX    1
#define WNI_CFG_DEBUG_P2P_REMAIN_ON_CHANNEL_STADEF    0

#define WNI_CFG_TDLS_OFF_CHANNEL_ENABLED_STAMIN    0
#define WNI_CFG_TDLS_OFF_CHANNEL_ENABLED_STAMAX    1
#define WNI_CFG_TDLS_OFF_CHANNEL_ENABLED_STADEF    0

#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STAMIN    0
#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STAMAX    100
#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STADEF    0

#define WNI_CFG_DFS_MASTER_ENABLED_STAMIN    0
#define WNI_CFG_DFS_MASTER_ENABLED_STAMAX    1
#define WNI_CFG_DFS_MASTER_ENABLED_STADEF    0

#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STAMIN    0
#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STAMAX    1
#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STADEF    0

#define WNI_CFG_TDLS_WMM_MODE_ENABLED_STAMIN    0
#define WNI_CFG_TDLS_WMM_MODE_ENABLED_STAMAX    1
#define WNI_CFG_TDLS_WMM_MODE_ENABLED_STADEF    0

#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_DWELL_TIME_STAMIN  5
#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_DWELL_TIME_STAMAX  1000
#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_DWELL_TIME_STADEF  20

#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_DWELL_TIME_STAMIN    10
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_DWELL_TIME_STAMAX    1000
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_DWELL_TIME_STADEF    10

#define WNI_CFG_OBSS_HT40_SCAN_WIDTH_TRIGGER_INTERVAL_STAMIN    10
#define WNI_CFG_OBSS_HT40_SCAN_WIDTH_TRIGGER_INTERVAL_STAMAX    900
#define WNI_CFG_OBSS_HT40_SCAN_WIDTH_TRIGGER_INTERVAL_STADEF    200

#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_TOTAL_PER_CHANNEL_STAMIN    200
#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_TOTAL_PER_CHANNEL_STAMAX    10000
#define WNI_CFG_OBSS_HT40_SCAN_PASSIVE_TOTAL_PER_CHANNEL_STADEF    200

#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_TOTAL_PER_CHANNEL_STAMIN    20
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_TOTAL_PER_CHANNEL_STAMAX    10000
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVE_TOTAL_PER_CHANNEL_STADEF    20

#define WNI_CFG_OBSS_HT40_WIDTH_CH_TRANSITION_DELAY_STAMIN    5
#define WNI_CFG_OBSS_HT40_WIDTH_CH_TRANSITION_DELAY_STAMAX    100
#define WNI_CFG_OBSS_HT40_WIDTH_CH_TRANSITION_DELAY_STADEF    5

#define WNI_CFG_OBSS_HT40_SCAN_ACTIVITY_THRESHOLD_STAMIN    0
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVITY_THRESHOLD_STAMAX    100
#define WNI_CFG_OBSS_HT40_SCAN_ACTIVITY_THRESHOLD_STADEF    25

#define WNI_CFG_TGT_GTX_USR_CFG_STAMIN 0
#define WNI_CFG_TGT_GTX_USR_CFG_STAMAX 32
#define WNI_CFG_TGT_GTX_USR_CFG_STADEF 32

#define WNI_CFG_MAX_HT_MCS_TX_DATA_STAMIN  0x0
#define WNI_CFG_MAX_HT_MCS_TX_DATA_STAMAX  0x17f
#define WNI_CFG_MAX_HT_MCS_TX_DATA_STADEF  0x0

#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STAMIN  0
#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STAMAX  1
#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STADEF  0

#define WNI_CFG_RATE_FOR_TX_MGMT_STAMIN   0x0
#define WNI_CFG_RATE_FOR_TX_MGMT_STAMAX   0xFF
#define WNI_CFG_RATE_FOR_TX_MGMT_STADEF   0xFF

#define CFG_STA_MAGIC_DWORD    0xbeefbeef

#endif
